## AgsFxLadspaChannel

AgsFxLadspaChannel — fx ladspa channel

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_FX_LADSPA_CHANNEL_INPUT_DATA()
#define | AGS_FX_LADSPA_CHANNEL_INPUT_DATA_GET_STRCT_MUTEX()
AgsFxLadspaChannelInputData * | ags_fx_ladspa_channel_input_data_alloc ()
void | ags_fx_ladspa_channel_input_data_free ()
void | ags_fx_ladspa_channel_load_plugin ()
void | ags_fx_ladspa_channel_load_port ()
AgsFxLadspaChannel * | ags_fx_ladspa_channel_new ()

## Types and Values

struct | AgsFxLadspaChannelInputData

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallChannel
                ╰── AgsFxLadspaChannel

## Includes

    #include <ags/audio/fx/ags_fx_ladspa_channel.h>

## Description

The AgsFxLadspaChannel class provides ports to the effect processor.

## Functions

### AGS_FX_LADSPA_CHANNEL_INPUT_DATA()

    #define AGS_FX_LADSPA_CHANNEL_INPUT_DATA(ptr) ((AgsFxLadspaChannelInputData *) (ptr))

### AGS_FX_LADSPA_CHANNEL_INPUT_DATA_GET_STRCT_MUTEX()

    #define AGS_FX_LADSPA_CHANNEL_INPUT_DATA_GET_STRCT_MUTEX(ptr) (&(((AgsFxLadspaChannelInputData *)(ptr))->strct_mutex))

### ags_fx_ladspa_channel_input_data_alloc ()

    AgsFxLadspaChannelInputData *
    ags_fx_ladspa_channel_input_data_alloc
                                   ();

Allocate AgsFxLadspaChannelInputData

#### Returns

the new AgsFxLadspaChannelInputData

Since: 3.3.0

### ags_fx_ladspa_channel_input_data_free ()

    void
    ags_fx_ladspa_channel_input_data_free (AgsFxLadspaChannelInputData *input_data);

Free `input_data` .

#### Parameters

input_data | the AgsFxLadspaChannelInputData |

Since: 3.3.0

### ags_fx_ladspa_channel_load_plugin ()

    void
    ags_fx_ladspa_channel_load_plugin (AgsFxLadspaChannel *fx_ladspa_channel);

Load plugin of `fx_ladspa_channel` .

#### Parameters

fx_ladspa_channel | the AgsFxLadspaChannel |

Since: 3.3.0

### ags_fx_ladspa_channel_load_port ()

    void
    ags_fx_ladspa_channel_load_port (AgsFxLadspaChannel *fx_ladspa_channel);

Load port of `fx_ladspa_channel` .

#### Parameters

fx_ladspa_channel | the AgsFxLadspaChannel |

Since: 3.3.0

### ags_fx_ladspa_channel_new ()

    AgsFxLadspaChannel *
    ags_fx_ladspa_channel_new (AgsChannel *channel);

Create a new instance of AgsFxLadspaChannel

#### Parameters

channel | the AgsChannel |

#### Returns

the new AgsFxLadspaChannel

Since: 3.3.0

## Types and Values

### struct AgsFxLadspaChannelInputData

    struct AgsFxLadspaChannelInputData {
      GRecMutex strct_mutex;

      gpointer parent;

      LADSPA_Data *output;
      LADSPA_Data *input;

      LADSPA_Handle ladspa_handle;
    };